Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser.xbeans
Class XmlBeanSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.xbeans.XmlBeanSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class XmlBeanSerializer
extends java.lang.Object
implements Serializer

Class XmlBeanSerializer

Author:
  Jonathan Colwell
See Also:
  Serialized Form

Constructor Summary
`XmlBeanSerializer()`

Method Summary
`static org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[]` | `findtSchemaDocument(org.apache.xmlbeans.SchemaType docType)`
`java.lang.String` | `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.
`static org.apache.xmlbeans.XmlObject` | `getTypeNode(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] schemas, QName q)`
`static org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument` | `parseSchema(java.io.InputStream stream)`
`static org.xmlsoap.schemas.wsdl.DefinitionsDocument` | `parseWSDL(java.io.File wsdlFile)`
`static org.xmlsoap.schemas.wsdl.DefinitionsDocument` | `parseWSDL(java.io.InputStream wsdlStream)`
`static org.xmlsoap.schemas.wsdl.DefinitionsDocument` | `parseWSDL(java.lang.String wsdlLocation)`
`static org.xmlsoap.schemas.wsdl.DefinitionsDocument` | `parseWSDL(java.net.URL wsdlURL)`
`static org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[]` | `selectChildren(org.apache.xmlbeans.XmlObject parent, java.lang.Class childClass)`
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize an element named name, with the indicated attributes and value.
`org.w3c.dom.Element` | `writeSchema(java.lang.Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlBeanSerializer

    public XmlBeanSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize an element named name, with the indicated attributes and value.

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext
  Throws:
    `java.io.IOException`

### getMechanismType

    public java.lang.String getMechanismType()

  Description copied from interface: `Serializer`
  Gets the type of the XML processing mechanism and representation used by this Serializer.

  Specified by:
    `getMechanismType` in interface `Serializer`
  Returns:
    XML processing mechanism type

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           Types types)
                                    throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `java.lang.Exception`
  See Also:
    `Types`

### parseWSDL

    public static org.xmlsoap.schemas.wsdl.DefinitionsDocument parseWSDL(java.lang.String wsdlLocation)
                                                                  throws java.io.IOException,
                                                                         java.net.MalformedURLException,
                                                                         org.apache.xmlbeans.XmlException

  Throws:
    `java.io.IOException`
    `java.net.MalformedURLException`
    `org.apache.xmlbeans.XmlException`

### parseWSDL

    public static org.xmlsoap.schemas.wsdl.DefinitionsDocument parseWSDL(java.io.File wsdlFile)
                                                                  throws java.io.IOException,
                                                                         org.apache.xmlbeans.XmlException

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### parseWSDL

    public static org.xmlsoap.schemas.wsdl.DefinitionsDocument parseWSDL(java.net.URL wsdlURL)
                                                                  throws java.io.IOException,
                                                                         org.apache.xmlbeans.XmlException

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### parseWSDL

    public static org.xmlsoap.schemas.wsdl.DefinitionsDocument parseWSDL(java.io.InputStream wsdlStream)
                                                                  throws java.io.IOException,
                                                                         org.apache.xmlbeans.XmlException

  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

### parseSchema

    public static org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument parseSchema(java.io.InputStream stream)
                                                                            throws org.apache.xmlbeans.XmlException,
                                                                                   java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### selectChildren

    public static org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] selectChildren(org.apache.xmlbeans.XmlObject parent,
                                                                                               java.lang.Class childClass)
                                                                                        throws java.lang.IllegalAccessException,
                                                                                               java.lang.NoSuchFieldException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchFieldException`

### findtSchemaDocument

    public static org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] findtSchemaDocument(org.apache.xmlbeans.SchemaType docType)
                                                                                             throws org.apache.xmlbeans.XmlException,
                                                                                                    java.io.IOException,
                                                                                                    java.lang.IllegalAccessException,
                                                                                                    java.lang.NoSuchFieldException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchFieldException`

### getTypeNode

    public static org.apache.xmlbeans.XmlObject getTypeNode(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] schemas,
                                                            QName q)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.